#!/bin/bash
#
# $Id: mrtg-ups.sh,v 1.4 2005/07/26 12:21:42 shtrom Exp $
#
# Stats battery charge and load for given UPS
#
# Olivier Mehani <shtrom-mrtg@ssji.net>
#
# Sample configuration:
# Target[pc675]: `/usr/share/nut/mrtg-ups.sh usbups@localhost`
# MaxBytes[pc675]: 100
# Options[pc675]: gauge nopercent unknaszero
# Title[pc675]: PC675 UPS status
# PageTop[pc675]: <H1>UPS status</H1>
# YLegend[pc675]: Percent
# ShortLegend[pc675]: &nbsp;%
# Legend1[pc675]: Battery charge
# Legend2[pc675]: Load
# LegendI[pc675]: &nbsp;Charge
# LegendO[pc675]: &nbsp;Load

uptime=/usr/bin/uptime
hostname=/bin/hostname
sed=/usr/bin/sed
upsc=/usr/bin/upsc

upsc $1 battery.charge 2>/dev/null || echo 0
upsc $1 ups.load 2>/dev/null || echo 0
$uptime | $sed -e "s/.*up *//" -e "s/, *[0-9]\+ user.*//"
$hostname
